/*
 *      Dojo Test Application
 *      Module name: dojo-test-app/overlay
 *      
 *      
 *      Displays overlay
 */
define([
    'dojo/ready',
    'dojo/dom-style',
    'dojo/dom',
    'dojox/widget/Standby'
],
function(ready, style, dom, Standby) 
{
    return {
        
        overlayContainer : dom.byId('overlay-container'),
        standby : new Standby({ target: 'overlay-container'}),
        
        init : function ()
        {
                document.body.appendChild(this.standby.domNode);
                this.standby.startup();
        },
                
        show : function ()
        {
            style.set(this.overlayContainer, 'visibility', 'visible');
            this.standby.show();
        },
                
        hide : function ()
        {
            style.set(this.overlayContainer, 'visibility', 'hidden');
            this.standby.hide();
        }
        
    };
});